OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_ArrayVec3d Class Reference

`#include <VrmlData_ArrayVec3d.hxx>`

Inheritance diagram for VrmlData_ArrayVec3d:

[legend]

## Public Member Functions
| VrmlData_ArrayVec3d ()
| VrmlData_ArrayVec3d (const VrmlData_Scene &theScene, const char *theName, const size_t nVec, const gp_XYZ *arrVec)
size_t | Length () const
const gp_XYZ * | Values () const
Standard_EXPORT Standard_Boolean | AllocateValues (const Standard_Size theLength)
void | SetValues (const size_t nValues, const gp_XYZ *arrValues)
Standard_EXPORT VrmlData_ErrorStatus | ReadArray (VrmlData_InBuffer &theBuffer, const char *theName, const Standard_Boolean isScale)
Standard_EXPORT VrmlData_ErrorStatus | WriteArray (const char *theName, const Standard_Boolean isScale) const
virtual Standard_EXPORT Standard_Boolean | IsDefault () const
## Protected Member Functions
Standard_EXPORT const gp_XYZ & | Value (const Standard_Integer i) const
## Protected Attributes
const gp_XYZ * | myArray
Standard_Size | myLength

## Detailed Description

Implementatioon of basic node for Coordinate, Normal and Color (array of triplets).

## Constructor & Destructor Documentation

VrmlData_ArrayVec3d::VrmlData_ArrayVec3d | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_ArrayVec3d::VrmlData_ArrayVec3d | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const size_t | nVec,
|  | const gp_XYZ * | arrVec
| ) | `[inline]`

| Constructor

## Member Function Documentation

Standard_EXPORT Standard_Boolean VrmlData_ArrayVec3d::AllocateValues | ( | const Standard_Size | theLength | ) |

| Create a data array and assign the field myArray. Returns: True if allocation was successful.

virtual Standard_EXPORT Standard_Boolean VrmlData_ArrayVec3d::IsDefault | ( |  | ) | const`[virtual]`

| Returns True if the node is default, so that it should not be written. Reimplemented from VrmlData_Node.

size_t VrmlData_ArrayVec3d::Length | ( |  | ) | const`[inline]`

| Query the number of vectors

Standard_EXPORT VrmlData_ErrorStatus VrmlData_ArrayVec3d::ReadArray | ( | VrmlData_InBuffer & | theBuffer,
|  | const char * | theName,
|  | const Standard_Boolean | isScale
| ) |

| Read the Node from input stream.

void VrmlData_ArrayVec3d::SetValues | ( | const size_t | nValues,
|  | const gp_XYZ * | arrValues
| ) | `[inline]`

| Set the array data

Standard_EXPORT const gp_XYZ& VrmlData_ArrayVec3d::Value | ( | const Standard_Integer | i | ) | const`[protected]`

  | Query one vector Parameters:
  | i | index in the array of vectors [0 .. N-1]
Returns: the vector for the index. If index irrelevant, returns (0., 0., 0.)

const gp_XYZ* VrmlData_ArrayVec3d::Values | ( |  | ) | const`[inline]`

| Query the array

Standard_EXPORT VrmlData_ErrorStatus VrmlData_ArrayVec3d::WriteArray | ( | const char * | theName,
|  | const Standard_Boolean | isScale
| ) | const

| Write the Node to the output stream currently opened in Scene.

## Field Documentation

const gp_XYZ* VrmlData_ArrayVec3d::myArray`[protected]`

Standard_Size VrmlData_ArrayVec3d::myLength`[protected]`

The documentation for this class was generated from the following file:

- VrmlData_ArrayVec3d.hxx